Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154330 - Get avc errors generated from depmod.
Summary: Get avc errors generated from depmod.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-10 05:01 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: selinux-policy-targeted-1.23.10-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-15 07:47:37 UTC


Attachments (Terms of Use)

Description sangu 2005-04-10 05:01:45 UTC
Description of problem:
$rpm -e kernel-module-nvidia-2.6.11-1.1231_FC4

in demsg
[...]
audit(1113108813.976:0): avc:  denied  { unlink } for  pid=4576 exe=/sbin/depmod
name=modules.dep dev=hda8 ino=746 scontext=root:system_r:depmod_t
tcontext=root:object_r:modules_object_t tclass=file


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.23.8-2

How reproducible:
always

Additional info:
$ls -laZ /sbin/depmod
-rwxr-xr-x  root     root     system_u:object_r:depmod_exec_t  /sbin/depmod


Note You need to log in before you can comment on or make changes to this bug.